cURL
curl --request POST \
--url https://{tenant}.stamp.eu/rest/schedule_models \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"entries": [
{
"weekday": 4,
"periods": [
{
"start": 1,
"end": 1
}
],
"pauses": [
{
"start": 1,
"end": 1
}
],
"core_times": [
{
"start": 1,
"end": 1
}
],
"pause_thresholds": [
{
"threshold": 1,
"duration": 1
}
]
}
],
"accommodation_time": true,
"night_begin": "<string>"
}
'import requests
url = "https://{tenant}.stamp.eu/rest/schedule_models"
payload = {
"name": "<string>",
"entries": [
{
"weekday": 4,
"periods": [
{
"start": 1,
"end": 1
}
],
"pauses": [
{
"start": 1,
"end": 1
}
],
"core_times": [
{
"start": 1,
"end": 1
}
],
"pause_thresholds": [
{
"threshold": 1,
"duration": 1
}
]
}
],
"accommodation_time": True,
"night_begin": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
entries: [
{
weekday: 4,
periods: [{start: 1, end: 1}],
pauses: [{start: 1, end: 1}],
core_times: [{start: 1, end: 1}],
pause_thresholds: [{threshold: 1, duration: 1}]
}
],
accommodation_time: true,
night_begin: '<string>'
})
};
fetch('https://{tenant}.stamp.eu/rest/schedule_models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"accommodation_time": "<string>",
"night_begin": "<string>",
"work_weekdays": "<string>",
"work_weekdays_label": "<string>",
"weekly_target_ms": "<string>",
"weekly_target_hours": 123,
"created_at": "<string>",
"updated_at": "<string>",
"entries": [
{
"id": "<string>",
"weekday": "<string>",
"periods": "<string>",
"pauses": "<string>",
"core_times": "<string>",
"pause_thresholds": "<string>"
}
]
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Schichtmodelle
Arbeitszeitmodell erstellen
POST
/
schedule_models
cURL
Authorizations
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Body
application/json
Response
ScheduleModelResource
Show child attributes
Show child attributes
⌘I